package com.xhkjedu.suser.mapper.liveplay;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CourseMapper {
    //更新已报学生数量
    void updateStuNum(@Param("courseid") Integer courseid);

    //行政班的所有直播课
    List<Map> listXzCourse(Integer classid);

    //批量更改指定课程对应的学生数量
    void updateStuNumBatch(@Param("courseids") String courseids);

    //含某些班的直播课
    List<Map> listCourse(@Param("classids") String classids);

    //指定班级的直播课
    List<Map> listXzCourse2(@Param("classids") List<Integer> classids);
}
